{% extends "base.html" %}
{% load i18n %}

{% block title %}{% translate "priority level"|capfirst %}{% endblock %}

{% block content %}
  <div class="row">
    <div class="col">
      <h1>{% translate "priority levels"|capfirst %}</h1>
    </div>
  </div>
  <div class="row justify-content-center">
    <div class="col">
      {% if object_list %}
      <table class="table table-hover">
        <thead class="thead-light">
          <tr>
            <th>{% translate "level"|capfirst %}</th>
            <th>{% translate "label"|capfirst %}</th>
            <th>{% translate "color"|capfirst %}</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          {% for level in object_list %}
          <tr data-lookup="{{ level.id }}">
            <td>{{ forloop.counter }}</td>
            <td>{{level.label}}</td>
            <td><span class="color-box" style="background-color:{{ level.color }}"></span> {{level.color}}</td>
            <td>
              <div class="d-flex justify-content-end">
                {% if perms.artefacts.change_prioritylevel %}
                  <a href="{% url 'artefacts:change-priority' level.id %}" class="btn-sm btn-outline-primary mx-1"><i class="bi bi-pencil"></i></a>
                {%  endif %}
              </div>
            </td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
      {% else %}
      <p class="text-center">{% translate "no priority level saved"|capfirst %}</p>
      {% endif %}
    </div>
  </div>

{% endblock %}
